- name: Ensure "opt" sub directory exists
  file:
    path: /opt/apps/website/{{ lookup('env', 'VERSION') }}
    state: directory
    mode: 0755

- name: Setup environment vars
  import_tasks: env.yml

- name: Copy "docker-compose.yml" file
  copy:
    src: docker-compose.yml
    dest: /opt/apps/website/{{ lookup('env', 'VERSION') }}/docker-compose.yml
    mode: 0644

- name: Start services
  community.general.docker_compose:
    project_src: /opt/apps/website/{{ lookup('env', 'VERSION') }}
    build: no
    pull: yes
    state: present
